UPTIME(1)

BEZEICHNUNG
uptime - feststellen, wie lange das System schon läuft

ÜBERSICHT
uptime [Option ...]

BESCHREIBUNG
uptime zeigt in einer Zeile die folgenden Informationen an: die aktuelle Zeit, wie lange das System bereits läuft, die Anzahl der aktuell angemeldeten Benutzer und die durchschnittliche Auslastung des Systems in den letzten 1, 5 und 15 Minuten.

Dies sind dieselben Informationen, die auch in der Kopfzeile des Befehls w(1) angezeigt werden.

Die durchschnittliche Auslastung des Systems ist die durchschnittliche Anzahl der Prozesse, die entweder in einem lauffähigen oder nicht unterbrechbaren Zustand sind. Lauffähiger Zustand bedeutet, dass ein Prozess entweder gerade die CPU benutzt oder darauf wartet, sie benutzen zu können. Der nicht unterbrechbare Zustand bedeutet, dass ein Prozess auf einen E/A-Zugriff wartet, beispielsweise auf die Festplatte. Die Durchschnitte werden über drei Zeitintervalle gebildet. Die durchschnittliche Auslastung wird nicht auf die Anzahl der CPUs in einem System normalisiert, so dass eine Auslastung von 1 bei einem System mit einer CPU bedeutet, dass das System zu jeder Zeit voll ausgelastet ist. Auf einem System mit vier CPUs bedeutet dieselbe Auslastung, dass der Rechner während 75% der Zeit im Leerlauf war.

OPTIONEN

-c, --container
    zeigt die Container- anstatt der System-Betriebszeit.

-p, --pretty
    zeigt die Betriebszeit im schönen Format an.

-h, --help
    zeigt diesen Hilfetext an.

-r, --raw
    zeigt die Werte im Rohformat an. Die aktuelle Zeit und die Betriebszeit werden in Sekunden angezeigt.

-s, --since
    System ist hochgefahren seit, im Format »yyyy-mm-dd HH:MM:SS«

-V, --version
    Versionsinformationen anzeigen und das Programm beenden.

UMGEBUNGSVARIABLEN

PROCPS_CONTAINER
    Falls $PROCPS_CONTAINER gesetzt ist, verhält sich uptime so, als ob die Option --container angegeben wurde.

DATEIEN

/var/run/utmp
    Informationen darüber, wer aktuell angemeldet ist

/proc
    Prozessinformation

SIEHE AUCH
ps(1), top(1), utmp(5), w(1)

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org.